from setuptools import setup, find_packages
from os.path import join
import re

NAME = 'vinnetou'

VERSION = re.search(
        "^VERSION = '([0-9.]+)'$",
        open(join(NAME, '__init__.py')).read(),
        re.MULTILINE
).group(1)


setup(
    name = NAME,
    version = VERSION,
    zip_safe = False,
    packages = find_packages('.'),
    include_package_data = True,
    package_dir = {'':'.'},
    install_requires = [
        'setuptools',
        'Paver >= 1.1.0',
        'Paste',
        'PasteScript',
        'PasteDeploy',
        'gunicorn',
        'decorator >= 3.0',
        #'FirePython',
        'WebError',
        #'WebTest',
        #'flup>=1.0.2',
        #'python-daemon>=1.5.5',
        #'procname>=0.3'
        #'setproctitle',
    ],
    tests_require = ['nose'],
    test_suite = 'nose.collector',
    entry_points = '''
        [paste.server_runner]
        apache_cgi = vinnetou.apache_cgi:run_apache_cgi

        [paste.app_factory]
        test_app = vinnetou.testapp:make_test_app

        [paste.filter_app_factory]
        setenv = vinnetou.middleware:setenv_factory
        proctitle = vinnetou.middleware:proctitle_factory
        logging = vinnetou.middleware:logging_factory

        [distutils.commands]
        metadata_json = vinnetou.distutils_commands:metadata_json
    ''',
    dependency_links = ['http://ftp.uh.cz/eggs/'],
)
