# -*- coding: utf-8 -*-

import sys
import logging
import os
import time
from xml.sax.saxutils import escape

__all__ = ['test_app']


__test__ = False

log = logging.getLogger('test')


def make_test_app(*args, **kwds):
    logging.basicConfig()
    return test_app


def test_app(environ, start_response):
    log.info('tohle je testapp')
    log.error('tohle je testerr')
    status = '200 OK'
    response_headers = [('Content-type','text/html')]
    start_response(status, response_headers)
    body = [
        '<body><pre>',
        'TEST APP',
        '=========',
        '',
        'PID = %d' % os.getpid(),
        '',
        'Environment',
        '-----------',
    ]
    if 'raise' in environ.get('QUERY_STRING', ''):
        1/0
    for k,v in sorted(environ.items()):
        body.append('%s = %s' % (k, escape(str(v)[:60])))
    body.append('')
    body.append('Modules (%d)' % len(sys.modules))
    body.append('--------------')
    for m in sorted(sys.modules):
        if sys.modules.get(m) is None:
            continue
        body.append('%s = %s' % (m, escape(repr(sys.modules.get(m)))))
    body.append('')
    return ['\n'.join(body)]
